'use strict';

var myApp = angular.module('myApp', ['sw']);

myApp.controller('MyCtrl', function($scope) {
    $scope.gridOptions = {
        data: [
            {site: "Moroni", category: 5000},
            {site: "Tiancum", category: 43},
            {site: "Jacob", category: 27},
            {site: "Nephi", category: 29},
            {site: "Enos", category: 34}
        ],
        defaultSorted: 'category',
        columns: [
            { header: 'Column1', name: "site", sortable: false, tpl: '<div>{{value}}</div>' },
            {
                header: 'Column2', name: "category", tpl: function($filter, value, row){
                    return $filter('number')(value);
                }
            }
        ]
    };
});
